Bug 302601 - Firefox and startkde refuse to start, unsupported version 0 of verdef
Firefox and startkde refuse to start, unsupported version 0 of verdef
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libstdc++so7 (Show other bugs)
7
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Benjamin Kosnik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-24 01:52 EDT by Penelope Fudd
Modified: 2013-08-09 01:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error log file '.xsession-errors'. (1.28 KB, text/plain)
2007-09-24 01:52 EDT, Penelope Fudd
no flags Details

  None (edit)
Description Penelope Fudd 2007-09-24 01:52:33 EDT
Description of problem:
On a fresh install of Fedora 7, I installed just about everything (except
emacs), then updated things with pup.  Now I find I can't run firefox, startkde
and who knows what else.  Errors show up in .xsession-errors.

Version-Release number of selected component (if applicable):


How reproducible:
The programs won't start, no matter what I try.  I'm not keen on reinstalling
Fedora to fix this.

Steps to Reproduce:
1.Install Fedora 7, no extra repositories, select everything.
2.Update all rpms.
3.Try running Firefox, or startkde.
  
Actual results:
/usr/bin/mailsettings: /usr/lib/libstdc++.so.6: unsupported version 0 of Verdef
record
/usr/bin/mailsettings: error while loading shared libraries:
/usr/lib/libstdc++.so.6: unsupported version 0 of Verdef 
record

Expected results:
The programs should just run.

Additional info:
I've attached my .xsession-errors file.  My apologies for indicating this is
libstdc++so7, but libstdc++so6 doesn't appear to be on the list of components. 
In any event, I'm just guessing.
Comment 1 Penelope Fudd 2007-09-24 01:52:33 EDT
Created attachment 203771 [details]
Error log file '.xsession-errors'.
Comment 2 Penelope Fudd 2007-09-24 02:10:22 EDT
Here's an additional bit o' data:

# cd /usr/bin/; ldd mailsettings
./mailsettings: /usr/lib/libstdc++.so.6: unsupported version 0 of Verdef record
./mailsettings: error while loading shared libraries: /usr/lib/libstdc++.so.6:
unsupported version 0 of Verneed record

# ldd * |& sort -u | grep -c 'unsupported version 0 of Verdef record'
434

# ls | wc -l
2955

That's ~ 14% of all the files in /usr/bin; 21% if you only count ELF binaries.
Comment 3 Penelope Fudd 2007-09-27 09:17:38 EDT
Oh, did I mention that /bin/rpm is one of the programs that can't be run?

How the hell am I going to recover from this without reinstalling??

Rescue CD, I guess.
Comment 4 Bug Zapper 2008-05-14 10:27:57 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:27:53 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.